package login

import (
	"context"

	v1 "cris/api/login/v1"
	"cris/internal/service"
)

func (c *ControllerV1) Login(ctx context.Context, req *v1.LoginReq) (res *v1.LoginRes, err error) {
	login, err := service.Login().Login(ctx, req)
	if err != nil {
		return nil, err
	}
	return login, err
}
